Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under Wayland.

From: Po Lu <[email-masked]>
Date: Thu, 29 Sep 2022 08:21:59 +0800

Tino Calancha <[email-masked]> writes:

> On Tue, 27 Sep 2022, Po Lu wrote:
>
>> Could you install debug info for GDK, put breakpoints on both
>> window_state_event (in pgtkterm.c) and
>> gdk_wayland_window_handle_configure (in gdkwindow-wayland.c)?
>
> I don't know how to set the second breakpoint :-|
>
> This is what I have done:
>
> 1. Installed packages gtk3-debugsource, gtk3-devel-debuginfo, libgtk-3-0-debuginfo
>
> After that, I can see the file at:
> /usr/src/debug/gtk3-3.24.31-150400.1.11.x86_64/gdk/wayland/gdkwindow-wayland.c
>
> 2.
> M-x: gdb RET
>
> (gdb) b pgtkterm.c:5458
> Breakpoint 2 at 0x752a69: file pgtkterm.c, line 5458.
> (gdb) b /usr/src/debug/gtk3-3.24.31-150400.1.11.x86_64/gdk/wayland/gdkwindow-wayland.c:1657
> No source file named /usr/src/debug/gtk3-3.24.31-150400.1.11.x86_64/gdk/wayland/gdkwindow-wayland.c.
> Breakpoint 3 (/usr/src/debug/gtk3-3.24.31-150400.1.11.x86_64/gdk/wayland/gdkwindow-wayland.c:1657) pending.
> (gdb)

You should simply be able to type "b gdk_wayland_window_handle_configure".

Thanks in advance.